numbers File Reference

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::numbers

## Macros

#define | __cpp_lib_math_constants
#define | _GLIBCXX_NUMBERS

## Variables

constexpr double | std::numbers::e
template<typename _Tp >
constexpr _Tp | std::numbers::e_v
constexpr double | std::numbers::egamma
template<typename _Tp >
constexpr _Tp | std::numbers::egamma_v
constexpr double | std::numbers::inv_pi
template<typename _Tp >
constexpr _Tp | std::numbers::inv_pi_v
constexpr double | std::numbers::inv_sqrt3
template<typename _Tp >
constexpr _Tp | std::numbers::inv_sqrt3_v
constexpr double | std::numbers::inv_sqrtpi
template<typename _Tp >
constexpr _Tp | std::numbers::inv_sqrtpi_v
constexpr double | std::numbers::ln10
template<typename _Tp >
constexpr _Tp | std::numbers::ln10_v
constexpr double | std::numbers::ln2
template<typename _Tp >
constexpr _Tp | std::numbers::ln2_v
constexpr double | std::numbers::log10e
template<typename _Tp >
constexpr _Tp | std::numbers::log10e_v
constexpr double | std::numbers::log2e
template<typename _Tp >
constexpr _Tp | std::numbers::log2e_v
constexpr double | std::numbers::phi
template<typename _Tp >
constexpr _Tp | std::numbers::phi_v
constexpr double | std::numbers::pi
template<typename _Tp >
constexpr _Tp | std::numbers::pi_v
constexpr double | std::numbers::sqrt2
template<typename _Tp >
constexpr _Tp | std::numbers::sqrt2_v
constexpr double | std::numbers::sqrt3
template<typename _Tp >
constexpr _Tp | std::numbers::sqrt3_v

## Detailed Description

This is a Standard C++ Library header.

Definition in file numbers.

## Macro Definition Documentation

## __cpp_lib_math_constants

#define __cpp_lib_math_constants

Definition at line 50 of file numbers.

## _GLIBCXX_NUMBERS

#define _GLIBCXX_NUMBERS

Definition at line 30 of file numbers.